com.holonplatform.vaadin.flow.components.builders

## Interface HasPropertyBoxDatastoreDataProviderConfigurator<D extends DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,D>,C extends HasPropertyBoxDatastoreDataProviderConfigurator<D,C>>

- Type Parameters:
    `C` - Concrete configurator type
  All Superinterfaces:
    HasDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,C>, HasItemsConfigurator<com.holonplatform.core.property.PropertyBox,C>
  All Known Subinterfaces:
    OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputBuilder<T>, OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputConfigurator<T,D,C>, OptionsMultiSelectConfigurator.ValidatablePropertyOptionsMultiSelectInputBuilder<T>, OptionsSingleSelectConfigurator.PropertyOptionsSingleSelectInputBuilder<T>, OptionsSingleSelectConfigurator.PropertyOptionsSingleSelectInputConfigurator<T,D,C>, OptionsSingleSelectConfigurator.ValidatablePropertyOptionsSingleSelectInputBuilder<T>, SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.PropertySingleSelectInputConfigurator<T,D,C>, SingleSelectConfigurator.ValidatablePropertySingleSelectInputBuilder<T>

      public interface HasPropertyBoxDatastoreDataProviderConfigurator<D extends DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,D>,C extends HasPropertyBoxDatastoreDataProviderConfigurator<D,C>>
      extends HasDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,C>

  `HasDataProviderConfigurator` with `Datastore` configuration support and using `PropertyBox` type items.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `<P extends com.holonplatform.core.property.Property> D` | `dataSource(com.holonplatform.core.datastore.Datastore datastore, com.holonplatform.core.datastore.DataTarget<?> target, Iterable<P> properties)` Set the data provider which acts as items data source, using given `Datastore` as backend data handler, given `DataTarget` as query target and given `properties` as query projection.
    `default D` | `dataSource(com.holonplatform.core.datastore.Datastore datastore, com.holonplatform.core.datastore.DataTarget<?> target, com.holonplatform.core.property.Property<?>... properties)` Set the data provider which acts as items data source, using given `Datastore` as backend data handler, given `DataTarget` as query target and given `properties` as query projection.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDataProviderConfigurator

      `addItem, dataSource, items, items`

- - ### Method Detail

    - #### dataSource

          <P extends com.holonplatform.core.property.Property> D dataSource(com.holonplatform.core.datastore.Datastore datastore,
                                                                            com.holonplatform.core.datastore.DataTarget<?> target,
                                                                            Iterable<P> properties)

      Set the data provider which acts as items data source, using given `Datastore` as backend data handler, given `DataTarget` as query target and given `properties` as query projection.
      Type Parameters:
        `P` - Property type
      Parameters:
        `datastore` - The `Datastore` to use (not null)
        `target` - The `DataTarget` to use as query target (not null)
        `properties` - The property set to use as query projection (not null)
      Returns:
        An extended builder which allow further data provider configuration, for example to add fixed `QueryFilter` and `QuerySort`.
      See Also:
        `DatastoreDataProviderConfigurator`

    - #### dataSource

          default D dataSource(com.holonplatform.core.datastore.Datastore datastore,
                               com.holonplatform.core.datastore.DataTarget<?> target,
                               com.holonplatform.core.property.Property<?>... properties)

      Set the data provider which acts as items data source, using given `Datastore` as backend data handler, given `DataTarget` as query target and given `properties` as query projection.
      Parameters:
        `datastore` - The `Datastore` to use (not null)
        `target` - The `DataTarget` to use as query target (not null)
        `properties` - The property set to use as query projection (not null)
      Returns:
        An extended builder which allow further data provider configuration, for example to add fixed `QueryFilter` and `QuerySort`.
      See Also:
        `DatastoreDataProviderConfigurator`

Copyright © 2019 The Holon Platform. All rights reserved.